Index: /LMDZ4/trunk/libf/phylmd/write_histmth.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/write_histmth.h	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/write_histmth.h	(revision 644)
@@ -1,5 +1,5 @@
-!
-! $Header$
-!
+c
+c $Header$
+c
       IF (ok_mensuel) THEN
 c
@@ -7,9 +7,8 @@
       ndex3d = 0
 
-         zsto = dtime
-         zout = dtime * ecrit_mth
          itau_w = itau_phy + itap
 
-      i = NINT(zout/zsto)
+c
+      IF(type_run.EQ."CLIM".OR.type_run.EQ."ENSP") THEN
 c
       IF(lev_histmth.GE.1) THEN
@@ -20,11 +19,16 @@
       CALL histwrite(nid_mth,"phis",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 C
-      i = NINT(zout/zsto)
+cIM 310804   CALL gr_fi_ecrit(1,klon,iim,jjmp1,paire,zx_tmp_2d)
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,airephy,zx_tmp_2d)
       CALL histwrite(nid_mth,"aire",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
-      zx_tmp_fi2d(1 : klon) = pctsrf( 1 : klon, is_ter)
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
+      zx_tmp_fi2d(1 : klon) = pctsrf(1 : klon, is_ter)* 100.
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
       CALL histwrite(nid_mth,"pourc_"//clnsurf(is_ter),itau_w,
+     $      zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      zx_tmp_fi2d(1 : klon) = pctsrf(1 : klon, is_ter)
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_mth,"fract_"//clnsurf(is_ter),itau_w,
      $      zx_tmp_2d,iim*jjmp1,ndex2d)
 c
@@ -121,11 +125,8 @@
       CALL histwrite(nid_mth,"snow",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zxsnow,zx_tmp_2d)
-      CALL histwrite(nid_mth,"snow_mass",itau_w,zx_tmp_2d,iim*jjmp1,
-     .               ndex2d)
-c
-cIM: 071003
-c     zx_tmp_fi2d(1:klon)=evap(1:klon)*86400.
-c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, zsnow_mass,zx_tmp_2d)
+c     CALL histwrite(nid_mth,"snow_mass",itau_w,zx_tmp_2d,iim*jjmp1,
+c    .               ndex2d)
+c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, evap,zx_tmp_2d)
       CALL histwrite(nid_mth,"evap",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
@@ -143,6 +144,4 @@
       CALL histwrite(nid_mth,"topl0",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
-c     zx_tmp_fi2d(1 : klon) = ZFSUP( 1 : klon, klevp1)
-cIM 080304   zx_tmp_fi2d(1 : klon) = swup ( 1 : klon, 2 )
       zx_tmp_fi2d(1 : klon) = swup ( 1 : klon, klevp1 )
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
@@ -150,7 +149,4 @@
      .                               iim*jjmp1,ndex2d)
 c
-c
-c      zx_tmp_fi2d(1 : klon) = ZFSUP0( 1 : klon, klevp1)
-cIM 080304   zx_tmp_fi2d(1 : klon) = swup0 ( 1 : klon, 2 )
       zx_tmp_fi2d(1 : klon) = swup0 ( 1 : klon, klevp1 )
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
@@ -158,6 +154,4 @@
      .                               iim*jjmp1,ndex2d)
 c
-c      zx_tmp_fi2d(1 : klon) = ZFSDN( 1 : klon, klevp1)
-cIM 080304   zx_tmp_fi2d(1 : klon) = swdn ( 1 : klon, 2 )
       zx_tmp_fi2d(1 : klon) = swdn ( 1 : klon, klevp1 )
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
@@ -165,6 +159,4 @@
      .                               iim*jjmp1,ndex2d)
 c
-c      zx_tmp_fi2d(1 : klon) = ZFSDN0( 1 : klon, klevp1)
-cIM 080304   zx_tmp_fi2d(1 : klon) = swdn0 ( 1 : klon, 2 )
       zx_tmp_fi2d(1 : klon) = swdn0 ( 1 : klon, klevp1 )
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
@@ -243,10 +235,18 @@
      .                               iim*jjmp1,ndex2d)
 c
-      zx_tmp_fi2d(1:klon)=sollw(1:klon)+sollwdown(1:klon)
+cIM 080904   zx_tmp_fi2d(1:klon)=sollw(1:klon)+sollwdown(1:klon)
+cIM 130904   zx_tmp_fi2d(1:klon)=sollw(1:klon)-sollwdown(1:klon)
+      zx_tmp_fi2d(1:klon)=sollwdown(1:klon)-sollw(1:klon)
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d, zx_tmp_2d)
       CALL histwrite(nid_mth,"LWupSFC",itau_w,zx_tmp_2d,iim*jjmp1,
      .               ndex2d)
 c
-      zx_tmp_fi2d(1:klon)=sollw0(1:klon)+sollwdownclr(1:klon)
+      DO i=1, klon
+       sollwdownclr(i)=-1.*lwdn0(i,1)
+      ENDDO !i=1, klon
+
+cIM 080904   zx_tmp_fi2d(1:klon)=sollw0(1:klon)+sollwdownclr(1:klon)
+cIM 130904   zx_tmp_fi2d(1:klon)=sollw0(1:klon)-sollwdownclr(1:klon)
+      zx_tmp_fi2d(1:klon)=sollwdownclr(1:klon)-sollw0(1:klon)
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d, zx_tmp_2d)
       CALL histwrite(nid_mth,"LWupSFCclr",itau_w,zx_tmp_2d,iim*jjmp1,
@@ -257,36 +257,12 @@
      .               ndex2d)
 c
-      DO i=1, klon
-       sollwdownclr(i)=lwdn0(i,1)
-      ENDDO !i=1, klon
+c     DO i=1, klon
+cIM 080904     sollwdownclr(i)=lwdn0(i,1)
+c      sollwdownclr(i)=-1.*lwdn0(i,1)
+c     ENDDO !i=1, klon
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, sollwdownclr,zx_tmp_2d)
       CALL histwrite(nid_mth,"LWdnSFCclr",itau_w,zx_tmp_2d,
      $               iim*jjmp1,ndex2d)
-c
-c
-c effets des aerosols
-c
-c     IF (ok_ade.OR.ok_aie) THEN
-      zx_tmp_fi2d(1:klon) = topswai(1:klon) - topswad(1:klon)
-c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, topswad,zx_tmp_2d)
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d ,zx_tmp_2d)
-      CALL histwrite(nid_mth,"topsad",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-      zx_tmp_fi2d(1:klon) = solswai(1:klon) - solswad(1:klon)
-c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, solswad,zx_tmp_2d)
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d ,zx_tmp_2d)
-      CALL histwrite(nid_mth,"solsad",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-      zx_tmp_fi2d(1:klon) = topsw(1:klon) - topswai(1:klon)
-c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, topswai,zx_tmp_2d)
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d ,zx_tmp_2d)
-      CALL histwrite(nid_mth,"topsai",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-      zx_tmp_fi2d(1:klon) = solsw(1:klon) - solswai(1:klon)
-c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, solswai,zx_tmp_2d)
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d ,zx_tmp_2d)
-      CALL histwrite(nid_mth,"solsai",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
-c     endif
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, bils,zx_tmp_2d)
@@ -322,5 +298,5 @@
        CALL histwrite(nid_mth,"fqcalving",itau_w,zx_tmp_2d,iim*jjmp1,
      $                ndex2d)
-cIM: 171003
+c
        DO nsrf = 1, nbsrf
         zx_tmp_fi2d(1 : klon) = fluxu( 1 : klon, 1, nsrf)
@@ -334,15 +310,18 @@
      $      zx_tmp_2d,iim*jjmp1,ndex2d)
        ENDDO
-cIM: 171003
-c
-cIM      if ( lev_histday.gt.1 ) then
+c
       DO nsrf = 1, nbsrf
 CYYY
-       IF(nsrf.GT.1) THEN
-        zx_tmp_fi2d(1 : klon) = pctsrf( 1 : klon, nsrf)
+       IF(nsrf.GT.2) THEN
+        zx_tmp_fi2d(1 : klon) = pctsrf( 1 : klon, nsrf)*100.
         CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
         CALL histwrite(nid_mth,"pourc_"//clnsurf(nsrf),itau_w,
      $      zx_tmp_2d,iim*jjmp1,ndex2d) 
-       ENDIF !nsrf.GT.1
+c
+        zx_tmp_fi2d(1 : klon) = pctsrf( 1 : klon, nsrf)
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
+        CALL histwrite(nid_mth,"fract_"//clnsurf(nsrf),itau_w,
+     $      zx_tmp_2d,iim*jjmp1,ndex2d) 
+       ENDIF !nsrf.GT.2
 C 
         zx_tmp_fi2d(1 : klon) = ftsol( 1 : klon, nsrf)
@@ -376,8 +355,20 @@
      $      zx_tmp_2d,iim*jjmp1,ndex2d)
 C
-
+       IF(1.EQ.0) THEN
+C
+        zx_tmp_fi2d(1:klon) = fevap(1:klon,nsrf)*pctsrf(1:klon,nsrf)
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
+        CALL histwrite(nid_mth,"evapour_"//clnsurf(nsrf),itau_w,
+     $      zx_tmp_2d,iim*jjmp1,ndex2d)
+C
+        zx_tmp_fi2d(1:klon) = (rain_fall(1:klon) + snow_fall(1:klon))
+     $                        *pctsrf(1:klon,nsrf)
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d , zx_tmp_2d)
+        CALL histwrite(nid_mth,"prepour_"//clnsurf(nsrf),itau_w,
+     $      zx_tmp_2d,iim*jjmp1,ndex2d)
+C
+       ENDIF !(1.EQ.0) THEN
+C
       END DO  
-cIM      endif !lev_histday
-
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragm,zx_tmp_2d)
@@ -438,33 +429,164 @@
 c34EK
 c
-      ENDIF !iflag_con.GE.3
-c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, prw,zx_tmp_2d)
       CALL histwrite(nid_mth,"prw",itau_w,zx_tmp_2d,
      .               iim*jjmp1,ndex2d)
 c
-c
-c
+      ENDIF !iflag_con.GE.3
+c
+c
+cIM cf. AM 081204 BEG
+cHBTM2
+c
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_pblh,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_pblh",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_pblt,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_pblt",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_lcl,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_lcl",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_capCL,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_capCL",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_oliqCL,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_oliqCL",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_cteiCL,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_cteiCL",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_therm,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_therm",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_trmb1,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_trmb1",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_trmb2,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_trmb2",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, s_trmb3,zx_tmp_2d)
+      CALL histwrite(nid_mth,"s_trmb3",itau_w,zx_tmp_2d,iim*jjmp1,
+     .               ndex2d)
+c
+cIM cf. AM 081204 END
 c
 c  Champs interpolles sur des niveaux de pression
-      DO k=1, nlevENS
-c
-        CALL gr_fi_ecrit(1, klon,iim,jjmp1, ulev(:,k),zx_tmp_2d)
-        CALL histwrite(nid_mth,"u"//clev(k),itau_w,zx_tmp_2d,
+      DO k=1, nlevSTD
+c
+c        bb=clevSTD(k)
+c
+c        IF(k.GE.2) THEN
+         IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
+         IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)
+c         aa=clevSTD(k)
+c         bb=aa(1:lnblnk1(aa))
+c        ENDIF
+c
+      IF(bb2.EQ."850".OR.bb2.EQ."700".OR.
+     $   bb2.EQ."500".OR.bb2.EQ."200") THEN
+c
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1,usumSTD(:,k,2),zx_tmp_2d)
+        CALL histwrite(nid_mth,"u"//bb2,itau_w,zx_tmp_2d,
      $       iim*jjmp1,ndex2d)
 c
-        CALL gr_fi_ecrit(1, klon,iim,jjmp1, vlev(:,k),zx_tmp_2d)
-        CALL histwrite(nid_mth,"v"//clev(k),itau_w,zx_tmp_2d,
+        CALL gr_fi_ecrit(1, klon,iim,jjmp1,vsumSTD(:,k,2),zx_tmp_2d)
+        CALL histwrite(nid_mth,"v"//bb2,itau_w,zx_tmp_2d,
      $       iim*jjmp1,ndex2d)
 c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, wlev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_mth,"w"//clev(k),itau_w,zx_tmp_2d,
-     $     iim*jjmp1,ndex2d)
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, philev(:,k),zx_tmp_2d)
-      CALL histwrite(nid_mth,"phi"//clev(k),itau_w,zx_tmp_2d,
-     $     iim*jjmp1,ndex2d)
-c
-      ENDDO !nlevENS
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1,wsumSTD(:,k,2),zx_tmp_2d)
+      CALL histwrite(nid_mth,"w"//bb2,itau_w,zx_tmp_2d,
+     $     iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1,phisumSTD(:,k,2),zx_tmp_2d)
+      CALL histwrite(nid_mth,"phi"//bb2,itau_w,zx_tmp_2d,
+     $     iim*jjmp1,ndex2d)
+c
+      ENDIF !(bb2.EQ."850".OR.bb2.EQ."700".OR.
+      ENDDO !nlevSTD
+c
+      DO i=1, klon
+       IF (pctsrf(i,is_oce).GT.epsfra) THEN
+        zx_tmp_fi2d(i) = fluxo(i)
+       ELSE
+        zx_tmp_fi2d(i) = 1.E+20
+       ENDIF
+      ENDDO
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_mth,"fluxo",itau_w,zx_tmp_2d,
+     .     iim*jjmp1,ndex2d)
+c
+      DO i=1, klon
+       IF (pctsrf(i,is_sic).GT.epsfra) THEN
+        zx_tmp_fi2d(i) = fluxg(i)
+       ELSE
+        zx_tmp_fi2d(i) = 1.E+20
+       ENDIF
+      ENDDO
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_mth,"fluxg",itau_w,zx_tmp_2d,
+     .     iim*jjmp1,ndex2d)
+c
+      IF (OCEAN.EQ.'force ') THEN
+c
+      DO i=1, klon
+      IF((pctsrf(i,is_oce).GT.epsfra).OR.
+     .   (pctsrf(i,is_sic).GT.epsfra)) THEN
+       zx_tmp_fi2d(i) = (radsol(i) + fluxo(i))*pctsrf(i,is_oce)+
+     .                  fluxg(i)*pctsrf(i,is_sic)
+      ELSE
+       zx_tmp_fi2d(i) = 1.E+20
+      ENDIF
+      ENDDO
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_mth,"lmt_bils",itau_w,
+     .     zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      ELSE IF (OCEAN.EQ.'slab  ') THEN
+c
+      DO i=1, klon
+      IF((pctsrf(i,is_oce).GT.epsfra).OR.
+     .   (pctsrf(i,is_sic).GT.epsfra)) THEN
+       zx_tmp_fi2d(i) = (radsol(i) + fluxo(i))*pctsrf(i,is_oce)+
+     .                  fluxg(i)*pctsrf(i,is_sic)
+      ELSE
+       zx_tmp_fi2d(i) = 1.E+20
+      ENDIF
+      ENDDO
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_mth,"slab_bils",itau_w,
+     .     zx_tmp_2d,iim*jjmp1,ndex2d)
+c
+      DO i=1, klon
+       IF(pctsrf(i,is_oce).GT.epsfra.OR.
+     $    pctsrf(i,is_sic).GT.epsfra) THEN
+        zx_tmp_fi2d(i)=tslab(i)
+       ELSE
+        zx_tmp_fi2d(i) = 1.E+20
+       ENDIF
+      ENDDO !i=1, klon
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_mth,"tslab",itau_w,zx_tmp_2d,
+     .     iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, seaice,zx_tmp_2d)
+      CALL histwrite(nid_mth,"seaice",itau_w,zx_tmp_2d,
+     .     iim*jjmp1,ndex2d)
+c
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, seaice/1000.,zx_tmp_2d)
+      CALL histwrite(nid_mth,"siceh",itau_w,zx_tmp_2d,
+     .     iim*jjmp1,ndex2d)
+c
+      ENDIF !OCEAN.EQ.force/slab
+c
       ENDIF !lev_histmth.GE.1
 c
@@ -494,5 +616,4 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-cIM: 071003
 c     zx_tmp_fi3d(1:klon,1:klev)=qx(1:klon,1:klev,ivap)/
 c    .                         (1-qx(1:klon,1:klev,ivap))
@@ -533,9 +654,22 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, wo, zx_tmp_3d)
+      DO k=1, klev
+       DO i=1, klon
+cIM 151004      zx_tmp_fi3d(i,k)=MAX(wo(i,k),1.0e-12)*RG/46.6968
+c    $                    /(paprs(i,k)-paprs(i,k+1))
+c    $                    *(paprs(i,1)/101325.0)
+c        zx_tmp2_fi3d(i,k)=MAX(wo(i,k)*1.0e+6,1.0e-6)*RG/46.6968
+         zx_tmp_fi3d(i,k)=wo(i,k)*RG/46.6968
+     $                    /(paprs(i,k)-paprs(i,k+1))
+     $                    *(paprs(i,1)/101325.0)
+       ENDDO !i
+      ENDDO !k
+c
+c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1, wo, zx_tmp_3d)
+c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp2_fi3d,zx_tmp_3d)
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"ozone",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
-cIM 22.03.04 BEG
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t, zx_tmp_3d)
       CALL histwrite(nid_mth,"dtphy",itau_w,zx_tmp_3d,
@@ -546,5 +680,4 @@
       CALL histwrite(nid_mth,"dqphy",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
-cIM 22.03.04 END
 c
       ENDIF !lev_histmth.GE.2
@@ -586,6 +719,4 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      IF (iflag_con.GE.3) THEN
-c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, Ma, zx_tmp_3d)
       CALL histwrite(nid_mth,"Ma",itau_w,zx_tmp_3d,
@@ -604,5 +735,4 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      ENDIF !iflag_con.GE.3
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t_dyn, zx_tmp_3d)
@@ -620,5 +750,6 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_q_con, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_q_con(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"dqcon",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
@@ -629,5 +760,4 @@
       CALL histwrite(nid_mth,"dtlsc",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
-cIM: 071003
 cIM: 101003 : K/30min ==> K/s
       zx_tmp_fi3d(1:klon, 1:klev)=(d_t_lsc(1:klon,1:klev)+
@@ -637,5 +767,6 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_q_lsc, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_q_lsc(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"dqlsc",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
@@ -647,5 +778,6 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_q_vdf, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_q_vdf(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"dqvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
@@ -657,5 +789,6 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_q_eva, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_q_eva(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"dqeva",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
@@ -677,10 +810,10 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_q_ajs, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_q_ajs(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"dqajs",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 cIM: 101003 : K/day ==> K/s
-cIM: LMD_ARMIP3   zx_tmp_fi3d(1:klon,1:klev)=heat(1:klon,1:klev)*pdtphys/RDAY 
       zx_tmp_fi3d(1:klon,1:klev)=heat(1:klon,1:klev)/RDAY 
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
@@ -689,5 +822,4 @@
 c
 cIM: 101003 : K/day ==> K/s      
-cIM: LMD_ARMIP3   zx_tmp_fi3d(1:klon,1:klev)=heat0(1:klon,1:klev)*pdtphys/RDAY
       zx_tmp_fi3d(1:klon,1:klev)=heat0(1:klon,1:klev)/RDAY
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
@@ -696,5 +828,4 @@
 c
 cIM: 101003 : K/day ==> K/s      
-cIM: LMD_ARMIP3     zx_tmp_fi3d(1:klon,1:klev)=-1.*cool(1:klon,1:klev)*pdtphys/RDAY
       zx_tmp_fi3d(1:klon,1:klev)=-1.*cool(1:klon,1:klev)/RDAY
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
@@ -703,5 +834,4 @@
 c
 cIM: 101003 : K/day ==> K/s      
-cIM: LMD_ARMIP3     zx_tmp_fi3d(1:klon,1:klev)=-1.*cool0(1:klon,1:klev)*pdtphys/RDAY
       zx_tmp_fi3d(1:klon,1:klev)=-1.*cool0(1:klon,1:klev)/RDAY
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
@@ -715,18 +845,22 @@
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_vdf, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_u_vdf(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"duvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_v_vdf, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_v_vdf(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"dvvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       IF (ok_orodr) THEN
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_oro, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_u_oro(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"duoro",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
-      CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_v_oro, zx_tmp_3d)
+      zx_tmp_fi3d(1:klon,1:klev)=d_v_oro(1:klon,1:klev)/pdtphys
+      CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
       CALL histwrite(nid_mth,"dvoro",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
